summaryrefslogtreecommitdiffstats
path: root/games/fs2open
diff options
context:
space:
mode:
Diffstat (limited to 'games/fs2open')
-rw-r--r--games/fs2open/README12
-rw-r--r--games/fs2open/doinst.sh3
-rw-r--r--games/fs2open/fs2open.SlackBuild132
-rw-r--r--games/fs2open/fs2open.info12
-rw-r--r--games/fs2open/slack-desc19
5 files changed, 178 insertions, 0 deletions
diff --git a/games/fs2open/README b/games/fs2open/README
new file mode 100644
index 0000000000..f1c1bebd5d
--- /dev/null
+++ b/games/fs2open/README
@@ -0,0 +1,12 @@
+The FreeSpace 2 Source Code Project is the project of a group of programmers
+currently maintaining and enhancing the game engine for the
+space combat simulator FreeSpace 2, developed by Volition, Inc.
+
+You will need the game data from FreeSpace 2. If you don't already own
+FreeSpace 2, you can buy it from online stores such as Steam, Amazon
+or GOG.
+
+Copy the data directories and all .vp files into ~/.fs2_open for the game to work.
+
+Notice for Intel cards: You may need to export 'MESA_GL_VERSION_OVERRIDE=3.2'
+if the game doesn't run.
diff --git a/games/fs2open/doinst.sh b/games/fs2open/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/fs2open/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/fs2open/fs2open.SlackBuild b/games/fs2open/fs2open.SlackBuild
new file mode 100644
index 0000000000..6ac7de7186
--- /dev/null
+++ b/games/fs2open/fs2open.SlackBuild
@@ -0,0 +1,132 @@
+#!/bin/sh
+
+# Slackware build script for fs2open
+
+# Copyright 2016 Danny Schmarsel <danny@schmarsel.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fs2open
+VERSION=${VERSION:-ac2b864}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build/lib/openal/OpenALsoft/src/
+cp $CWD/openal-soft-1.15.1.tar.bz2 build/lib/openal/OpenALsoft/src/
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/opt/fs2open \
+ -DFSO_BUILD_TOOLS:BOOL=ON \
+ -DFSO_BUILD_WXFRED2:BOOL=ON \
+ -DFSO_USE_OPENALSOFT:BOOL=ON \
+ -DFSO_USE_LUAJIT:BOOL=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# copy the pixmap
+mkdir -p $PKG/usr/share/pixmaps
+cp $TMP/$PRGNAM-$VERSION/freespace2/resources/app_icon.png $PKG/usr/share/pixmaps/fs2open.png
+
+# create a desktop launcher
+mkdir -p $PKG/usr/share/applications
+if [ "$ARCH" = "x86_64" ]; then
+cat << EOF > $PKG/usr/share/applications/fs2open.desktop
+[Desktop Entry]
+Type=Application
+Encoding=UTF-8
+Name=FreeSpace 2 Open
+Comment=A Linux port of FreeSpace 2
+Icon=fs2open.png
+Exec=/opt/fs2open/fs2_open_3_7_5_x64
+Terminal=false
+Categories=Application;Game;
+EOF
+else
+cat << EOF > $PKG/usr/share/applications/fs2open.desktop
+[Desktop Entry]
+Type=Application
+Encoding=UTF-8
+Name=FreeSpace 2 Open
+Comment=A Linux port of FreeSpace 2
+Icon=fs2open.png
+Exec=/opt/fs2open/fs2_open_3_7_5
+Terminal=false
+Categories=Application;Game;
+EOF
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog COPYING Readme.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/fs2open/fs2open.info b/games/fs2open/fs2open.info
new file mode 100644
index 0000000000..d2de411bd0
--- /dev/null
+++ b/games/fs2open/fs2open.info
@@ -0,0 +1,12 @@
+PRGNAM="fs2open"
+VERSION="ac2b864"
+HOMEPAGE="https://github.com/scp-fs2open/fs2open.github.com"
+DOWNLOAD="https://schmatzler.de/my_slackbuilds/fs2open/fs2open-ac2b864.tar.gz \
+ http://kcat.strangesoft.net/openal-releases/openal-soft-1.15.1.tar.bz2"
+MD5SUM="19d8cd7edeb98a25b49abbf92b68246c \
+ ea83dec3b9655a27d28e7bc7cae9cd71"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="OpenAL ffmpeg lua wxGTK3 SDL2"
+MAINTAINER="Danny Schmarsel"
+EMAIL="danny@schmarsel.de"
diff --git a/games/fs2open/slack-desc b/games/fs2open/slack-desc
new file mode 100644
index 0000000000..81e5d290d7
--- /dev/null
+++ b/games/fs2open/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fs2open: fs2open (FreeSpace 2 Source Code Project)
+fs2open:
+fs2open: The FreeSpace 2 Source Code Project is the project of a group
+fs2open: of programmers currently maintaining and enhancing the game engine
+fs2open: for the space combat simulator FreeSpace 2, developed by Volition
+fs2open: Inc.
+fs2open:
+fs2open: Project URL: https://github.com/scp-fs2open/fs2open.github.com
+fs2open:
+fs2open:
+fs2open: